//////////
// Popravki v originalni izvorni kodi:
// 1.	Struktura _complex je preimenovana v _complex_old. Struktura _complex je
//		namre e definirana v standardni knjinjici math.h. Tako je tip complex
//		enak strukturi _complex_old in ne _complex. Prav tako je namesto strukture
//		_complex uporabljena struktura _complex_old v makrojih realpart() in
//		imagpart().
// Avtor: Janez Puhan
// 2.	Funkcija setenv() je definirana v knjinici stdlib.h in je ni treba navesti
//		kot extern funkcije.
// Avtor: Arpad Buermen
//////////

/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1986 Wayne A. Christopher, U. C. Berkeley CAD Group
**********/

/*
 * Standard definitions. This file serves as the header file for std.c and
 * wlist.c
 */

#ifndef _STD_H_
#define _STD_H_

typedef int bool;

#include "misc.h"

#ifndef FILE
/* XXX Bogus */
#  include <stdio.h>
#endif

/* Doubly linked lists of words. */

struct wordlist {
    char *wl_word;
    struct wordlist *wl_next;
    struct wordlist *wl_prev;
} ;

typedef struct wordlist wordlist;

/* Complex numbers. */

struct _complex_old {   /* IBM portability... */
    double cx_real;
    double cx_imag;
} ;

typedef struct _complex_old complex;

#define realpart(cval)  ((struct _complex_old *) (cval))->cx_real
#define imagpart(cval)  ((struct _complex_old *) (cval))->cx_imag

/* Externs defined in std.c */

extern char *getusername();
extern char *gethome();
extern char *tildexpand();
extern char *printnum();
extern int cp_numdgt;
extern void fatal();
// extern void setenv();	// Vsebovana v knjinici stdlib.h.
extern void cp_printword();

/* Externs from wlist.c */

extern char **wl_mkvec();
extern char *wl_flatten();
extern int wl_length();
extern void wl_free();
extern void wl_print();
extern void wl_sort();
extern wordlist *wl_append();
extern wordlist *wl_build();
extern wordlist *wl_copy();
extern wordlist *wl_range();
extern wordlist *wl_nthelem();
extern wordlist *wl_reverse();
extern wordlist *wl_splice();

#endif /* _STD_H_*/
